Перейти к содержанию

azmt

Пользователи
  • Публикаций

    5
  • Зарегистрирован

  • Посещение

Репутация

0 Обычный

Информация о azmt

  • Звание
    Новичок
  1. Приветствую. Такой вопрос подскажите, пожалуйста, как настроить выбор таким образом, чтобы объекты добавлялись в набор при зажатой клавише Shift, как это сделано в AutoCAD? Соответственно при отжатой клавише объекты удаляются из набора и остаётся только вновь выбранный элемент. Платформа nanoCAD x64 Plus 10.
  2. Приветствую. Пытаюсь выполнить такой код на Lisp: (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the leader points (setq points (vlax-make-safearray vlax-vbDouble '(0 . 14))) (vlax-safearray-fill points '(1 1 0 1 2 0 2 2 0 3 2 0 4 4 0 ) ) (setq i 0) ;; Add the mleader object to model space (setq modelSpace (vla-get-ModelSpace doc)) (setq mLeader (vla-AddMLeader modelSpace points i)) В командной строке появляется такая ошибка: "значение не может быть приведено к VARIANT с этим типом: 0". Под Автокад работает, рисуется мультивыноска. Подскажите в чем может быть проблема? Пытался использовать функцию vlax-make-variant vlax-vbLong для аргумента i, но результат тот же. Платформа nanoCAD x64 Plus 10.
  3. Вроде начал разбираться. Необходимо Базу УГО отредактировать
  4. Приветствую. Хочу добавить в базу регистр из гладких стальных труб ГОСТ 10704-91, но с другой геометрией. Подскажите, пожалуйста, как это сделать. И ещё не понял как связать элемент из базы с его изображением, чтобы при вставке элемента вставлялся его предварительно нарисованный чертёж. Активист "надо скачать редактор баз данных" Где его скачать? Я так понимаю это другой редактор, не тот, что вызывается нажатием на кнопку "Менеджер баз данных" в Менеджере проекта.
×
×
  • Создать...